import 'package:equatable/equatable.dart';

sealed class DoorLockEvent extends Equatable {
  const DoorLockEvent();

  @override
  List<Object> get props => [];
}

class DoorLockFetchStatus extends DoorLockEvent {
  final String deviceId;

  const DoorLockFetchStatus(this.deviceId);

  @override
  List<Object> get props => [deviceId];
}

class DoorLockControl extends DoorLockEvent {
  final String deviceId;
  final String code;
  final bool value;

  const DoorLockControl({
    required this.deviceId,
    required this.code,
    required this.value,
  });

  @override
  List<Object> get props => [deviceId, code, value];
}

class UpdateLockEvent extends DoorLockEvent {
  final bool value;
  const UpdateLockEvent({required this.value});
  @override
  List<Object> get props => [value];
}
